org.apache.cassandra.metrics

## Class ViewWriteMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.LatencyMetrics
  - - org.apache.cassandra.metrics.ClientRequestMetrics
    - - org.apache.cassandra.metrics.ViewWriteMetrics

    public class ViewWriteMetrics
    extends ClientRequestMetrics

### Field Summary

Fields
`com.codahale.metrics.Counter` `viewReplicasAttempted`
`com.codahale.metrics.Counter` `viewReplicasSuccess`
`com.codahale.metrics.Timer` `viewWriteLatency`

### Fields inherited from class org.apache.cassandra.metrics.ClientRequestMetrics

`failures, timeouts, unavailables`

### Fields inherited from class org.apache.cassandra.metrics.LatencyMetrics

`aliasFactory, factory, latency, namePrefix, totalLatency`

### Constructor Summary

Constructors
Constructor and Description
`ViewWriteMetrics(java.lang.String scope)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `release()`

### Methods inherited from class org.apache.cassandra.metrics.LatencyMetrics

`addNano`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### viewReplicasAttempted

    public final com.codahale.metrics.Counter viewReplicasAttempted

#### viewReplicasSuccess

    public final com.codahale.metrics.Counter viewReplicasSuccess

#### viewWriteLatency

    public final com.codahale.metrics.Timer viewWriteLatency

### Constructor Detail

#### ViewWriteMetrics

    public ViewWriteMetrics(java.lang.String scope)

### Method Detail

#### release

    public void release()

Overrides:
  `release` in class `ClientRequestMetrics`